Bug 475105 - Weird bug with lirc and Apple iMac 24 starting via init fails to work correctly, starting manually works fine
Weird bug with lirc and Apple iMac 24 starting via init fails to work correct...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: lirc (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Jarod Wilson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-07 16:00 EST by Karl Lattimer
Modified: 2009-12-18 02:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:11:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karl Lattimer 2008-12-07 16:00:25 EST
Starting lircd via /etc/init.d/lirc start starts the lircd process but all processes connecting to lircd (e.g. irw) do not report any errors and do not receive button events.

However, if I "ps ax|grep lirc" and run the command line as it is running when started via init, in my case;

/usr/sbin/lircd --driver=macmini --device=/dev/hiddev0

lirc functions normally. it's just when I start lircd via the init script that it's broken...

running lirc-0.8.4a-1.fc10.x86_64

Also known as lirc-wtf edition?!
Comment 1 Bug Zapper 2009-11-18 05:23:04 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Jarod Wilson 2009-11-24 17:30:16 EST
Is this still a problem with Fedora 12 and lirc 0.8.6? I'm not sure if the macmini driver is still the recommended way to go for those things, or if you're supposed to be using the devinput driver against /dev/input/foo for the IR receiver...
Comment 3 Bug Zapper 2009-12-18 02:11:31 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.